Bug 1474931 - Modular Server
Summary: Modular Server
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Langdon White
QA Contact:
URL:
Whiteboard: ChangeAcceptedF27, SystemWideChange
Keywords:
Depends On: 1352587 1474910 1474935 1492240 ModularServer27GA 1504212 1506851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 16:07 UTC by Jan Kurik
Modified: 2018-11-27 19:50 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-27 19:50:17 UTC


Attachments (Terms of Use)

Description Jan Kurik 2017-07-25 16:07:28 UTC
This is a tracking bug for Change: Modular Server
For more details, see: https://fedoraproject.org//wiki/Changes/Modular_Server

The Modularity Working Group, Factory 2.0, Base Runtime, and Server Working Group would like to propose using the modular infrastructure for creating and delivering the Fedora Server Edition for Fedora 27. While we are still working through some of the kinks leading up to the release of Fedora 26, we believe that the changes to the infrastructure and technology implementations will be available with sufficient time to harden the components in time for the 27 release.

Comment 1 Jan Kurik 2017-08-10 06:18:04 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Jan Kurik 2017-08-15 07:57:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Jan Kurik 2017-09-06 13:38:21 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 4 Adam Williamson 2017-09-06 19:07:09 UTC
FWIW, AFAICT the current state of this is that we had some F27 modular composes that 'succeeded' (the last being 20170831.n.0), but none of them contained any images at all. Since 20170831.n.0, the compose has failed each day, apparently due to https://pagure.io/releng/issue/7011 . So, it has not yet been really possible to test a Fedora 27 modular Server install.

Comment 5 Adam Williamson 2017-09-06 20:14:50 UTC
Also note that the release blocking images list for F27 does not yet even exist, let alone has it been updated for this Change:

https://fedoraproject.org/wiki/Releases/26/ReleaseBlocking (F26 page)
https://fedoraproject.org/wiki/Releases/27/ReleaseBlocking (Doesn't exist)

Comment 6 Adam Williamson 2017-09-08 15:57:59 UTC
Minor update, nightly modular composes are working again, but still contain no images at all:

https://kojipkgs.fedoraproject.org/compose/Fedora-Modular-27-20170907.n.1/compose/metadata/images.json

Comment 7 Langdon White 2017-09-11 15:04:07 UTC
Discussed in the FESCo meeting on Sept 8[1]. Revisiting at beta go/no-go (sept 14) and next FESCo (sept 15).

[1]: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/USXV5AAJJTBW673GMJNLVMVBXJA5FRV6/

Comment 8 Ben Cotton 2018-11-27 18:20:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Adam Williamson 2018-11-27 19:50:17 UTC
This was abandoned, in the end.


Note You need to log in before you can comment on or make changes to this bug.